@import "~typeface-nunito-sans";
@import-normalize;

* {
  box-sizing: border-box;
}

:root {
  /* Typography */
  --family: 'Nunito Sans', sans-serif;
  --fs-sm: 14px;
  --fs-md: 16px;
  --fw-light: 300;
  --fw-normal: 600;
  --fw-bold: 800;

  /* Other */
  --radii: 0.5rem;
}

body[data-theme='dark'] {
  --colors-text: hsl(0, 0%, 100%);
  --colors-bg: hsl(207, 26%, 17%);
  --colors-ui-base: hsl(209, 23%, 22%);

  --shadow: rgba(245, 245, 245, 0.2) 0 0 8px;
}

body[data-theme='light'] {
  --colors-text: hsl(200, 15%, 8%);
  --colors-bg: hsl(0, 0%, 98%);
  --colors-ui-base: hsl(0, 0%, 100%);

  --shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

body {
  font-family: var(--family);
  font-weight: var(--fw-light);
  color: var(--colors-text);
  background-color: var(--colors-bg);

  margin: 0;
}
